Skip to main content
GET
/
api2
/
v1
/
connectors
List connectors
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/connectors \
  --header 'Authorization: <api-key>'
{
  "connectors": [
    {
      "automatedProjectSettings": [
        {
          "active": true,
          "connector": {
            "id": "<string>",
            "name": "<string>"
          },
          "id": "<string>",
          "name": "<string>",
          "organization": {
            "id": "<string>",
            "name": "<string>"
          },
          "remoteFolder": "<string>",
          "sourceLang": "<string>",
          "targetLangs": [
            "<string>"
          ]
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "id": "<string>",
        "name": "<string>"
      },
      "id": "<string>",
      "localToken": "<string>",
      "name": "<string>",
      "organization": {
        "id": "<string>",
        "name": "<string>"
      }
    }
  ],
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

type
string

Filter by connector type

Response

OK

connectors
object[]
totalCount
integer<int32>